<template>
    <div class="container-fluid">
        <!-- Vertical Layout -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Password Change
                        </h2>
                    </div>
                    <div class="body">
                        <div id="message"></div>
                        <form id="social" ref="passwordChange" action="javascript:void(0)" @submit="update" method="post">
                            <label >Old Password</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="password" id="old_password" name="old_password" class="form-control" placeholder="Enter old password" required>
                                </div>
                            </div>
                            <label>New Password</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="password" id="password"  name="password" class="form-control" placeholder="Enter new password" min="6" required>
                                </div>
                            </div>
                            <label>Confirm Password</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="password" id="password-confirm" name="password_confirmation" class="form-control" min="6" placeholder="Enter confirm password" required>
                                </div>
                            </div>
                            <br>
                            <input type="submit" class="btn btn-primary" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Vertical Layout -->
    </div>
</template>

<script>
    export default {
        methods:{
            update(){
                axios.post('/user/password/change', new FormData(this.$refs.passwordChange))
                .then((response)=>{
                    $('#message').html(response.data);
                    $('#old_password').val('');
                    $('#password').val('');
                    $('#password-confirm').val('');
                    /*test cmd*/
                }).catch((error)=>{
                    if (error.response.status === 422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            }
        }
    }
</script>
